<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getActionEstimatedSuccessChance](./bitburner.bladeburner.getactionestimatedsuccesschance.md)

## Bladeburner.getActionEstimatedSuccessChance() method

Get estimate success chance of an action.

**Signature:**

```typescript
getActionEstimatedSuccessChance(type: string, name: string): [number, number];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  type | string | Type of action. |
|  name | string | Name of action. Must be an exact match. |

**Returns:**

\[number, number\]

Estimated success chance for the specified action.

## Remarks

RAM cost: 4 GB

Returns the estimated success chance for the specified action. This chance is returned as a decimal value, NOT a percentage (e.g. if you have an estimated success chance of 80%, then this function will return 0.80, NOT 80). Returns 2 values, value\[0\] - MIN Chance, value\[1\] - MAX Chance

